Page MenuHomePhabricator

Incorrect transclusion markers for template-generated page property names
Closed, ResolvedPublic

Description

See output of tests: "Parsoid: Template-generated DISPLAYTITLE" and "Parsoid: Defaultsort (template-generated)" as specified in the parserTests.txt file

The meta tag is marked with a mw:Transclusion typeof which indicates that the output is template-generated whereas in reality it is the page property name that is template-generated. Not sure what the right output is, but if this is a genuine use-case, maybe mw:ExpandedAttrs is right, or maybe we need a different representation.

Event Timeline

ssastry created this task.Apr 22 2016, 9:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 22 2016, 9:55 PM
ssastry triaged this task as Medium priority.Apr 26 2016, 3:12 PM
ssastry closed this task as Resolved.Apr 27 2017, 3:26 PM
ssastry claimed this task.

This has been fixed as part of work on T153885